application icongmusicbrowser

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Next revision
Previous revision
install:mozembed [2007/05/28 12:21]
squentin created
install:mozembed [2013/04/03 06:29] (current)
Line 1: Line 1:
-To use the mozembed plugin, you need to install the gtkmozembed perl bindings+To use the webcontext plugin, you need to install the either the gtkmozembed or the webkit perl bindings
  
 ====== Important ====== ====== Important ======
 This shouldn't be necessary, but it is for now on most install, if it is not done gmusicbrowser will crash (segmentation fault) as soon as it tries to display a mozembed widget. Add "/usr/lib/firefox" to the library path, either everytime by doing "export LD_LIBRARY_PATH=/usr/lib/firefox", or only once by adding the path to /etc/ld.so.conf and running ldconfig (needs root/sudo) This shouldn't be necessary, but it is for now on most install, if it is not done gmusicbrowser will crash (segmentation fault) as soon as it tries to display a mozembed widget. Add "/usr/lib/firefox" to the library path, either everytime by doing "export LD_LIBRARY_PATH=/usr/lib/firefox", or only once by adding the path to /etc/ld.so.conf and running ldconfig (needs root/sudo)
  
-====== Pre-packaged ======+Under Debian, you usually use Iceweasel instead of Firefox ; you have to add /usr/lib/iceweasel in the /etc/ld.so.conf : 
 +<code>include /etc/ld.so.conf.d/*.conf 
 +/usr/lib/iceweasel</code>
  
-===== Mandriva 2007 =====+Running ldconfig produces an error on my installation : 
 +<code>debian:/home/bbrice# ldconfig  
 +ldconfig: Erreur de la procédure mmap du fichier /usr/lib/iceweasel/libsoftokn3.so</code>
  
-install the perl-Gtk2-MozEmbed-0.06 packageAnd follow the [[#important|Important instructions above]].+But it doesn't seem to be important in the use of the MozEmbed plugin. 
 + 
 + 
 +====== Pre-packaged ====== 
 + 
 +===== Mandriva 2010 ===== 
 +the perl-Gtk2-MozEmbed-0.80.0-3mdv2010.0 package works simply with the [[#important|Important instructions above]].
  
 ===== Ubuntu / Debian ===== ===== Ubuntu / Debian =====
-There is currently no package for it in debian/ubuntu so follow the instructions to install from source, for this, on a ubuntu feisty, you will need to install these packages :+There is now a libgtk2-mozembed-perl package for [[http://packages.debian.org/sid/libgtk2-mozembed-perl|debian]] and for [[http://packages.ubuntu.com/karmic/libgtk2-mozembed-perl|ubuntu]] 
 + 
 +++++ Old informations on the packages you need if you want to compile it from source 
 + 
 +On a ubuntu **hardy**, you will need to install these packages :
   * libextutils-pkgconfig-perl   * libextutils-pkgconfig-perl
   * libextutils-depends-perl   * libextutils-depends-perl
   * libgtk2.0-dev   * libgtk2.0-dev
-  * firefox-dev+  * libxul-dev 
 + 
 +And compile the version Gtk2-MozEmbed-0.06, not the later versions, as they require more recent Glib/Gtk2 bindings. 
 + 
 +On **intredpid ibis**, you have to install xulrunner-1.9-dev instead of libxul-dev, and compile Gtk2-MozEmbed-0.08. 
 +++++ 
 +===== Fedora ===== 
 +Remi made a package on [[http://blog.famillecollet.com/post/2009/02/15/perl-Gtk2-MozEmbed-0.08-1|this page]]
  
 ====== Install from source ====== ====== Install from source ======
 These instructions will install the gtkmozembed perl bindings in a sandbox, that way, you don't need root permissions and can't break your system. These instructions will install the gtkmozembed perl bindings in a sandbox, that way, you don't need root permissions and can't break your system.
-**Replace /home/login/sandbox by a valid folder**, this is where the files will be installed +  - mkdir ~/sandbox
-  - mkdir /home/login/sandbox+
   - Download and untar Gtk2-MozEmbed-0.06.tar.gz from [[http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=127248|sourceforge]]   - Download and untar Gtk2-MozEmbed-0.06.tar.gz from [[http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=127248|sourceforge]]
   - cd Gtk2-MozEmbed-0.06   - cd Gtk2-MozEmbed-0.06
-  - perl Makefile.PL PREFIX=/home/login/sandbox && make && make install+  - perl Makefile.PL PREFIX=~/sandbox && make && make install 
 + 
 + 
 +And PERL5LIB must be set when gmusicbrowser is launched, so that it can find the installed Gtk2::MozEmbed. It can be done either : 
 +>  - by adding "export PERL5LIB=~/sandbox/lib/perl/:$PERL5LIB" in your ~/.bashrc 
 +>  - or by running gmusicbrowser through a small shell script : 
 +> <code> 
 +  #!/bin/sh 
 +  export PERL5LIB=~/sandbox/lib/perl/:$PERL5LIB 
 +  exec gmusicbrowser 
 +</code> 
 +> save this script, for example in ~/gmusicbrowser.sh, make it executable : <code>chmod +x gmusicbrowser.sh</code>and change the command in the launcher's properties with : ~/gmusicbrowser.sh 
 + 
 +On Ubuntu Feisty Fawn, I had to specify more the path for perl libraries, by using <code>export PERL5LIB=~/sandbox/lib/perl/5.8.8/:$PERL5LIB</code> instead of <code>export PERL5LIB=~/sandbox/lib/perl/:$PERL5LIB</code>
  
-And this must be run each time before running gmusicbrowser, so it can find the installed Gtk2::MozEmbed (should be placed in .bashrc) : +** Then follow the [[#important|Important instructions above]] **
-export PERL5LIB=/home/login/sandbox/lib/perl/:$PERL5LIB+
  
-Follow the [[#important|Important instructions above]] 
 You can test everything works by running "perl examples/pumpzilla" You can test everything works by running "perl examples/pumpzilla"
  
install/mozembed.1180347688.txt.gz · Last modified: 2013/04/03 06:28 (external edit)
CC Attribution-Share Alike 4.0 International
Driven by DokuWiki Recent changes RSS feed Valid CSS Valid XHTML 1.0